function [ ] = generateUCGraph( handles )
% Generate the channels for a specific filter chosen on the GUI

if handles.showResults == true
    Z = handles.DirichletZ{handles.xDispD,handles.yDispD};
    figure(handles.unitCellSinglePlot(1));
    set(handles.unitCellSinglePlot(1),'Name',['Channels for Element (' num2str(handles.xDispD) ',' num2str(handles.yDispD) ') : Real Part'],'NumberTitle','off');
    imagesc(handles.xi,handles.eta,real(Z));
    colormap(viridis(256));
    axis square;
    ax = gca;
    ax.YDir = 'normal';
    ax.XTick = [];
    ax.YTick = [];    
    % xlabel('\xi');
    % ylabel('\eta');
    % matlab2tikz(['./figures/filt_' num2str(handles.xDispD-1) num2str(handles.yDispD-1) '_' num2str(handles.xSizeD) 'x' num2str(handles.ySizeD) '_real.tikz'],'width','\fpwidth','height','\fpheight');
    figure(handles.unitCellSinglePlot(2));
    set(handles.unitCellSinglePlot(2),'Name',['Channels for Element (' num2str(handles.xDispD) ',' num2str(handles.yDispD) ') : Imag Part'],'NumberTitle','off');
    imagesc(handles.xi,handles.eta,imag(Z));
    colormap(plasma(256));
    axis square;
    ax = gca;
    ax.YDir = 'normal';
    ax.XTick = [];
    ax.YTick = [];
    % xlabel('\xi');
    % ylabel('\eta');
    % matlab2tikz(['./figures/filt_' num2str(handles.xDispD-1) num2str(handles.yDispD-1) '_' num2str(handles.xSizeD) 'x' num2str(handles.ySizeD) '_imag.tikz'],'width','\fpwidth','height','\fpheight');
end

end

